I think his problem is in his first ssget selection, he's selecting objects on multiple layers. The first time for each layer is fine, but if it's repeated, all hell breaks loose.
Is this what you are after?
- (defun c:TEst (/ q ss pt i layer lst) (if (and (setq q -50. ss (ssget "_:L") ) (setq pt (getpoint "\nSpecify base point: ")) ) (repeat (setq i (sslength ss)) (if (not (member (setq layer (cdr (assoc 8 (entget (ssname ss (setq i (1- i))))))) lst)) (progn (setq lst (cons layer lst)) (command "_.copy" [color=red](ssget "_X" (list (cons 8 layer) (cons 410 (getvar 'ctab))))[/color] ;TERRIBLE METHOD!!! "" "_non" (polar pt (* 1.5 pi) (setq q (+ q 50.))) "" ) ) ) ) ) (princ))
|